package Alien::wxWidgets::Config::gtk2_3_0_1_uni_gcc_3_4;

use strict;

our %VALUES;

{
    no strict 'vars';
    %VALUES = %{
$VAR1 = {
          'config' => {
                        'debug' => 0,
                        'compiler_kind' => 'gcc',
                        'unicode' => 1,
                        'mslu' => 0,
                        'build' => 'multi',
                        'compiler_version' => '3.4',
                        'toolkit' => 'gtk2'
                      },
          'link_flags' => '',
          'version' => '3.000001',
          'alien_package' => 'Alien::wxWidgets::Config::gtk2_3_0_1_uni_gcc_3_4',
          'alien_base' => 'gtk2_3_0_1_uni_gcc_3_4',
          'prefix' => '/usr',
          '_libraries' => {
                            'qa' => {
                                      'link' => '-lwx_gtk2u_qa-3.0',
                                      'dll' => 'libwx_gtk2u_qa-3.0.so'
                                    },
                            'adv' => {
                                       'link' => '-lwx_gtk2u_adv-3.0',
                                       'dll' => 'libwx_gtk2u_adv-3.0.so'
                                     },
                            'gl' => {
                                      'link' => '-lwx_gtk2u_gl-3.0',
                                      'dll' => 'libwx_gtk2u_gl-3.0.so'
                                    },
                            'propgrid' => {
                                            'link' => '-lwx_gtk2u_propgrid-3.0',
                                            'dll' => 'libwx_gtk2u_propgrid-3.0.so'
                                          },
                            'stc' => {
                                       'dll' => 'libwx_gtk2u_stc-3.0.so',
                                       'link' => '-lwx_gtk2u_stc-3.0'
                                     },
                            'richtext' => {
                                            'link' => '-lwx_gtk2u_richtext-3.0',
                                            'dll' => 'libwx_gtk2u_richtext-3.0.so'
                                          },
                            'html' => {
                                        'link' => '-lwx_gtk2u_html-3.0',
                                        'dll' => 'libwx_gtk2u_html-3.0.so'
                                      },
                            'base' => {
                                        'link' => '-lwx_baseu-3.0',
                                        'dll' => 'libwx_baseu-3.0.so'
                                      },
                            'xrc' => {
                                       'link' => '-lwx_gtk2u_xrc-3.0',
                                       'dll' => 'libwx_gtk2u_xrc-3.0.so'
                                     },
                            'ribbon' => {
                                          'link' => '-lwx_gtk2u_ribbon-3.0',
                                          'dll' => 'libwx_gtk2u_ribbon-3.0.so'
                                        },
                            'net' => {
                                       'dll' => 'libwx_baseu_net-3.0.so',
                                       'link' => '-lwx_baseu_net-3.0'
                                     },
                            'media' => {
                                         'dll' => 'libwx_gtk2u_media-3.0.so',
                                         'link' => '-lwx_gtk2u_media-3.0'
                                       },
                            'core' => {
                                        'dll' => 'libwx_gtk2u_core-3.0.so',
                                        'link' => '-lwx_gtk2u_core-3.0'
                                      },
                            'xml' => {
                                       'link' => '-lwx_baseu_xml-3.0',
                                       'dll' => 'libwx_baseu_xml-3.0.so'
                                     },
                            'aui' => {
                                       'dll' => 'libwx_gtk2u_aui-3.0.so',
                                       'link' => '-lwx_gtk2u_aui-3.0'
                                     }
                          },
          'linker' => 'g++  ',
          'compiler' => 'g++',
          'c_flags' => '-pthread ',
          'link_libraries' => ' -L/usr/lib/x86_64-linux-gnu -lpthread',
          'defines' => '-D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ ',
          'include_path' => '-I/usr/lib/x86_64-linux-gnu/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 '
        };
    };
}

my $key = substr __PACKAGE__, 1 + rindex __PACKAGE__, ':';

sub values { %VALUES, key => $key }

sub config {
   +{ %{$VALUES{config}},
      package       => __PACKAGE__,
      key           => $key,
      version       => $VALUES{version},
      }
}

1;
